RTREE=../rtree
COMPILER=cc -Mse
D=sgl
P=-I ./ -I $(RTREE)
LN=ctsglib
ALIB=/lib/386/Slib$(LN).a
EXEC=/usr/bin

# executables

executables: $(EXEC)/cttest $(EXEC)/ctrbld $(EXEC)/ctcmpc $(EXEC)/ctflat \
		$(EXEC)/ctpkey

$(EXEC)/cttest: cttest.c
	$(COMPILER) -o $(EXEC)/cttest $(P) cttest.c

$(EXEC)/ctrbld: $(D)/ctrbld.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctrbld $(D)/ctrbld.o -l$(LN) -lx

$(D)/ctrbld.o: ctrbld.c
	$(COMPILER) -c $(P) ctrbld.c
	mv ctrbld.o $(D)

$(EXEC)/ctcmpc: $(D)/ctcmpc.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctcmpc $(D)/ctcmpc.o -l$(LN) -lx

$(D)/ctcmpc.o: ctcmpc.c
	$(COMPILER) -c $(P) ctcmpc.c
	mv ctcmpc.o $(D)

$(EXEC)/ctflat: $(D)/ctflat.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctflat $(D)/ctflat.o -l$(LN) -lx

$(D)/ctflat.o: ctflat.c
	$(COMPILER) -c $(P) ctflat.c
	mv ctflat.o $(D)

$(EXEC)/ctpkey: $(D)/ctpkey.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctpkey $(D)/ctpkey.o -l$(LN) -lx

$(D)/ctpkey.o: ctpkey.c
	$(COMPILER) -c $(P) ctpkey.c
	mv ctpkey.o $(D)

# library

$(ALIB):	$(D)/ctibld.o $(D)/ctrbl2.o $(D)/ctvrc2.o \
			$(D)/ctdelk.o $(D)/ctaddk.o $(D)/ctupdt.o \
			$(D)/ctsrch.o $(D)/ctdatf.o $(D)/ctkeyf.o \
			$(D)/ctkrnl.o $(D)/ctcomp.o $(D)/ctvrcu.o \
			$(D)/ctinit.o $(D)/ctdelf.o $(D)/ctclb2.o \
			$(D)/ctclib.o $(D)/ctclb3.o $(D)/ctload.o \
			$(D)/ctsset.o $(D)/ctisam.o $(D)/ctvrec.o \
			$(D)/ctism2.o $(D)/ctestm.o $(D)/ctfrac.o \
			$(D)/ctismc.o $(D)/ctismo.o $(D)/cticre.o \
			$(D)/ctiopn.o \
			$(D)/cticls.o $(D)/ctifil.o \
			$(D)/ctismu.o
	sh trm $(ALIB)
	ar q $(ALIB) $(D)/ctibld.o $(D)/ctrbl2.o $(D)/ctsset.o $(D)/ctisam.o $(D)/ctvrec.o $(D)/ctism2.o
	ar q $(ALIB) $(D)/ctismc.o $(D)/ctismo.o $(D)/cticre.o $(D)/ctiopn.o $(D)/cticls.o $(D)/ctifil.o
	ar q $(ALIB) $(D)/ctismu.o $(D)/ctvrc2.o $(D)/ctload.o $(D)/ctdelk.o $(D)/ctaddk.o $(D)/ctupdt.o $(D)/ctsrch.o
	ar q $(ALIB) $(D)/ctestm.o $(D)/ctfrac.o $(D)/ctdatf.o $(D)/ctkeyf.o $(D)/ctkrnl.o $(D)/ctcomp.o
	ar q $(ALIB) $(D)/ctvrcu.o $(D)/ctinit.o $(D)/ctdelf.o $(D)/ctclb2.o $(D)/ctclib.o $(D)/ctclb3.o
	ranlib $(ALIB)
	
# library modules

$(D)/ctibld.o: ctibld.c
	$(COMPILER) -c $(P) ctibld.c
	mv ctibld.o $(D)

$(D)/ctrbl2.o: ctrbl2.c
	$(COMPILER) -c $(P) ctrbl2.c
	mv ctrbl2.o $(D)

$(D)/ctvrc2.o: ctvrc2.c
	$(COMPILER) -c $(P) ctvrc2.c
	mv ctvrc2.o $(D)

$(D)/ctdelk.o: ctdelk.c
	$(COMPILER) -c $(P) ctdelk.c
	mv ctdelk.o $(D)

$(D)/ctaddk.o: ctaddk.c
	$(COMPILER) -c $(P) ctaddk.c
	mv ctaddk.o $(D)

$(D)/ctupdt.o: ctupdt.c
	$(COMPILER) -c $(P) ctupdt.c
	mv ctupdt.o $(D)

$(D)/ctsrch.o: ctsrch.c
	$(COMPILER) -c $(P) ctsrch.c
	mv ctsrch.o $(D)

$(D)/ctdatf.o: ctdatf.c
	$(COMPILER) -c $(P) ctdatf.c
	mv ctdatf.o $(D)

$(D)/ctkeyf.o: ctkeyf.c
	$(COMPILER) -c $(P) ctkeyf.c
	mv ctkeyf.o $(D)

$(D)/ctkrnl.o: ctkrnl.c
	$(COMPILER) -c $(P) ctkrnl.c
	mv ctkrnl.o $(D)

$(D)/ctclb3.o: ctclb3.c
	$(COMPILER) -c $(P) ctclb3.c
	mv ctclb3.o $(D)

$(D)/ctcomp.o: ctcomp.c
	$(COMPILER) -c $(P) ctcomp.c
	mv ctcomp.o $(D)

$(D)/ctvrcu.o: ctvrcu.c
	$(COMPILER) -c $(P) ctvrcu.c
	mv ctvrcu.o $(D)

$(D)/ctinit.o: ctinit.c
	$(COMPILER) -c $(P) ctinit.c
	mv ctinit.o $(D)

$(D)/ctdelf.o: ctdelf.c
	$(COMPILER) -c $(P) ctdelf.c
	mv ctdelf.o $(D)

$(D)/ctload.o: ctload.c
	$(COMPILER) -c $(P) ctload.c
	mv ctload.o $(D)

$(D)/ctfrac.o: ctfrac.c
	$(COMPILER) -c $(P) ctfrac.c
	mv ctfrac.o $(D)

$(D)/ctestm.o: ctestm.c
	$(COMPILER) -c $(P) ctestm.c
	mv ctestm.o $(D)

$(D)/ctclb2.o: ctclb2.c
	$(COMPILER) -c $(P) ctclb2.c
	mv ctclb2.o $(D)

$(D)/ctclib.o: ctclib.c
	$(COMPILER) -c $(P) ctclib.c
	mv ctclib.o $(D)

$(D)/ctsset.o: ctsset.c
	$(COMPILER) -c $(P) ctsset.c
	mv ctsset.o $(D)

$(D)/ctisam.o: ctisam.c
	$(COMPILER) -c $(P) ctisam.c
	mv ctisam.o $(D)

$(D)/ctvrec.o: ctvrec.c
	$(COMPILER) -c $(P) ctvrec.c
	mv ctvrec.o $(D)

$(D)/ctism2.o: ctism2.c
	$(COMPILER) -c $(P) ctism2.c
	mv ctism2.o $(D)

$(D)/ctismc.o: ctismc.c
	$(COMPILER) -c $(P) ctismc.c
	mv ctismc.o $(D)

$(D)/ctismo.o: ctismo.c
	$(COMPILER) -c $(P) ctismo.c
	mv ctismo.o $(D)

$(D)/cticre.o: cticre.c
	$(COMPILER) -c $(P) cticre.c
	mv cticre.o $(D)

$(D)/ctiopn.o: ctiopn.c
	$(COMPILER) -c $(P) ctiopn.c
	mv ctiopn.o $(D)

$(D)/cticls.o: cticls.c
	$(COMPILER) -c $(P) cticls.c
	mv cticls.o $(D)

$(D)/ctifil.o: ctifil.c
	$(COMPILER) -c $(P) ctifil.c
	mv ctifil.o $(D)

$(D)/ctismu.o: ctismu.c
	$(COMPILER) -c $(P) ctismu.c
	mv ctismu.o $(D)

