# Make library for c-tree application library
# Invoked by shell script makeapp

RTREE=../rtree
COMPILER=cc -M$(CTMEM)e
D=$(CTMEM)app
P=-I ./ -I $(RTREE)
LN=ctalib
ALIB=/lib/$(CTMEML)lib$(LN).a
EXEC=/usr/bin

# executables

executables: $(EXEC)/ctexmc $(EXEC)/ctexmg $(EXEC)/ctstop $(EXEC)/ctvxmg \
	$(EXEC)/ctixmg $(EXEC)/ctstat $(EXEC)/ctdemn

$(EXEC)/ctexmc: $(D)/ctexmc.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctexmc $(D)/ctexmc.o -l$(LN) -lx

$(D)/ctexmc.o: ctexmc.c
	$(COMPILER) -c $(P) ctexmc.c
	mv ctexmc.o $(D)

$(EXEC)/ctexmg: $(D)/ctexmg.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctexmg $(D)/ctexmg.o -l$(LN) -lx

$(D)/ctexmg.o: ctexmg.c
	$(COMPILER) -c $(P) ctexmg.c
	mv ctexmg.o $(D)

$(EXEC)/ctstop: $(D)/ctstop.o $(D)/ctamsg.o $(D)/ctclb2.o
	$(COMPILER) -o $(EXEC)/ctstop $(D)/ctstop.o $(D)/ctamsg.o $(D)/ctclb2.o -lx

$(D)/ctstop.o: ctstop.c
	$(COMPILER) -c $(P) ctstop.c
	mv ctstop.o $(D)

$(EXEC)/ctstat: $(D)/ctstat.o $(D)/ctamsg.o $(D)/ctclb2.o
	$(COMPILER) -o $(EXEC)/ctstat $(D)/ctstat.o $(D)/ctamsg.o $(D)/ctclb2.o -lx

$(D)/ctstat.o: ctstat.c
	$(COMPILER) -c $(P) ctstat.c
	mv ctstat.o $(D)

$(EXEC)/ctdemn: $(D)/ctdemn.o $(D)/ctamsg.o $(D)/ctclb2.o
	$(COMPILER) -o $(EXEC)/ctdemn $(D)/ctdemn.o $(D)/ctamsg.o $(D)/ctclb2.o -lx

$(D)/ctdemn.o: ctdemn.c
	$(COMPILER) -c $(P) ctdemn.c
	mv ctdemn.o $(D)

$(EXEC)/ctvxmg: $(D)/ctvxmg.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctvxmg $(D)/ctvxmg.o -l$(LN) -lx

$(D)/ctvxmg.o: ctvxmg.c
	$(COMPILER) -c $(P) ctvxmg.c
	mv ctvxmg.o $(D)

$(EXEC)/ctixmg: $(D)/ctixmg.o $(ALIB)
	$(COMPILER) -o $(EXEC)/ctixmg $(D)/ctixmg.o -l$(LN) -lx

$(D)/ctixmg.o: ctixmg.c
	$(COMPILER) -c $(P) ctixmg.c
	mv ctixmg.o $(D)

# library

$(ALIB):	$(D)/ctappx.o $(D)/ctapx2.o $(D)/ctamsg.o \
			$(D)/ctcomp.o $(D)/ctapx3.o $(D)/ctapx4.o \
			$(D)/ctsset.o $(D)/ctisam.o $(D)/ctvrec.o \
			$(D)/ctvrcu.o $(D)/ctism2.o $(D)/ctestm.o \
			$(D)/ctismc.o $(D)/ctismo.o $(D)/cticre.o \
			$(D)/ctiopn.o \
			$(D)/cticls.o $(D)/ctifil.o \
			$(D)/ctismu.o $(D)/ctclb2.o
	sh trm $(ALIB)
	ar q $(ALIB) $(D)/ctappx.o $(D)/ctapx2.o $(D)/ctamsg.o $(D)/ctcomp.o $(D)/ctsset.o $(D)/ctisam.o
	ar q $(ALIB) $(D)/ctvrec.o $(D)/ctestm.o $(D)/ctvrcu.o $(D)/ctism2.o $(D)/ctismc.o $(D)/ctismo.o $(D)/cticre.o
	ar q $(ALIB) $(D)/ctiopn.o $(D)/cticls.o $(D)/ctifil.o $(D)/ctismu.o $(D)/ctapx3.o $(D)/ctapx4.o $(D)/ctclb2.o
	ranlib $(ALIB)

# library modules

$(D)/ctappx.o: ctappx.c
	$(COMPILER) -c $(P) ctappx.c
	mv ctappx.o $(D)

$(D)/ctapx2.o: ctapx2.c
	$(COMPILER) -c $(P) ctapx2.c
	mv ctapx2.o $(D)

$(D)/ctapx3.o: ctapx3.c
	$(COMPILER) -c $(P) ctapx3.c
	mv ctapx3.o $(D)

$(D)/ctapx4.o: ctapx4.c
	$(COMPILER) -c $(P) ctapx4.c
	mv ctapx4.o $(D)

$(D)/ctamsg.o: ctamsg.c
	$(COMPILER) -c $(P) ctamsg.c
	mv ctamsg.o $(D)

$(D)/ctsset.o: ctsset.c
	$(COMPILER) -c $(P) ctsset.c
	mv ctsset.o $(D)

$(D)/ctisam.o: ctisam.c
	$(COMPILER) -c $(P) ctisam.c
	mv ctisam.o $(D)

$(D)/ctvrec.o: ctvrec.c
	$(COMPILER) -c $(P) ctvrec.c
	mv ctvrec.o $(D)

$(D)/ctvrcu.o: ctvrcu.c
	$(COMPILER) -c $(P) ctvrcu.c
	mv ctvrcu.o $(D)

$(D)/ctestm.o: ctestm.c
	$(COMPILER) -c $(P) ctestm.c
	mv ctestm.o $(D)

$(D)/ctism2.o: ctism2.c
	$(COMPILER) -c $(P) ctism2.c
	mv ctism2.o $(D)

$(D)/ctismc.o: ctismc.c
	$(COMPILER) -c $(P) ctismc.c
	mv ctismc.o $(D)

$(D)/ctismo.o: ctismo.c
	$(COMPILER) -c $(P) ctismo.c
	mv ctismo.o $(D)

$(D)/cticre.o: cticre.c
	$(COMPILER) -c $(P) cticre.c
	mv cticre.o $(D)

$(D)/ctiopn.o: ctiopn.c
	$(COMPILER) -c $(P) ctiopn.c
	mv ctiopn.o $(D)

$(D)/cticls.o: cticls.c
	$(COMPILER) -c $(P) cticls.c
	mv cticls.o $(D)

$(D)/ctifil.o: ctifil.c
	$(COMPILER) -c $(P) ctifil.c
	mv ctifil.o $(D)

$(D)/ctismu.o: ctismu.c
	$(COMPILER) -c $(P) ctismu.c
	mv ctismu.o $(D)

$(D)/ctcomp.o: ctcomp.c
	$(COMPILER) -c $(P) ctcomp.c
	mv ctcomp.o $(D)

$(D)/ctclb2.o: ctclb2.c
	$(COMPILER) -c $(P) ctclb2.c
	mv ctclb2.o $(D)

